package de.hdm_stuttgart.de;

import java.io.File;
import java.net.URL;
import java.net.URLClassLoader;
import java.sql.*;
import java.util.Properties;

/**
 * Demonstrating dynamic JDBC Driver loading from file system based jar archive
 */
public class DynDriverTest {

    public static void main(String[] args) {

        try {
            final URL[] urlList = {new File("lib/mariadb-java-client-2.7.4.jar").toURI().toURL()};
            final ClassLoader classLoader = new URLClassLoader(urlList);
            final Class<?> driverClassDesc = Class.forName("org.mariadb.jdbc.Driver",true,classLoader);
            final Driver driver = (Driver) driverClassDesc.getDeclaredConstructor().newInstance();
            final Properties prop = new Properties();

            prop.setProperty("user","root");
            prop.setProperty("password" ,"secret");

            final Connection conn = driver.connect("jdbc:mysql://127.0.0.1/mysql", prop);

            final ResultSet r = conn.createStatement().executeQuery("SELECT * from user");

            while (r.next()) {
                System.out.println(r.getString("user"));
            }
        }
        catch (Exception e) {System.out.println(e.getMessage());
        }
    }
}
